| Home | Libraries | People | FAQ | More

##### static_buffer::clear

Clear the readable and writable bytes to zero.

###### Synopsis

    void
    clear();

###### Description

This function causes the readable and writable bytes to become empty. The capacity is not changed. Buffer sequences previously obtained using `static_buffer::data` or `static_buffer::prepare` become invalid.

###### Exception Safety

No-throw guarantee.